### Method

# Camel Service set_proxy_resolver

since: 3.12

#### Declaration [src]

    void
    camel_service_set_proxy_resolver (
      CamelService* service,
      GProxyResolver* proxy_resolver
    )

#### Description [src]

Sets the `GProxyResolver` for `service`. If an application needs to override this, it should do so prior to calling functions on `service` that may require a network connection.

Available since: 3.12

Sets property | `Camel.Service:proxy-resolver`

#### Parameters

`proxy_resolver`

  Type: `GProxyResolver`

  A `GProxyResolver`, or `NULL` for the default.

  The argument can be `NULL`.
  The data is owned by the caller of the method.